
\documentclass[aspectratio=169]{beamer}

\usepackage[utf8]{inputenc}
\usepackage[czech]{babel}
\usepackage{datetime}	
\usepackage{graphicx}
\usepackage{booktabs}
\usepackage{siunitx}
\usepackage{multimedia}
\usepackage{amsmath,amssymb,lmodern}
\usepackage{subcaption}
\usepackage{bm}
\usepackage{upgreek}
\usepackage[export]{adjustbox}

\newcommand{\transpose}{\ensuremath{^{\textrm{T}}}}

\mode<presentation> {
	\usetheme{Boadilla}
	\usecolortheme{orchid}
	\setbeamertemplate{navigation symbols}{} 
}
%gets rid of bottom navigation bars
\setbeamertemplate{footline}[frame number]{}

%gets rid of bottom navigation symbols
\setbeamertemplate{navigation symbols}{}

%gets rid of footer
%will override 'frame number' instruction above
%comment out to revert to previous/default definitions
\setbeamertemplate{footline}{}


\newcommand{\meq}{\; &= \;} 
\newcommand{\meqskip}{\; &\hspace{\equalsignwidth} \;}
\newcommand{\meqna}{\; = \;}
\newcommand{\mapprox}{\; &\approx \;}
\newcommand{\mleq}{\; &\leq \;} 

\begin{document}


    \begin{eqnarray*}
    \scalebox{0.9}{\parbox{\linewidth}{%
\begin{alignat*}{3}
	\min\limits_{\bm{z}}\quad &  & 
	& \hspace{-4.2em}\sum\limits_{k = 0}^{N-1}\;   (\bm{y}_{k+1} - \bm{r}_{k+1})\transpose\bm{Q}(\bm{y}_{k+1} - \bm{r}_{k+1}) + \Delta{\bm{u}_k\transpose}\bm{R}\Delta{\bm{u}_k} \\
	\textrm{s.t.}\quad & &
	\bm{x}_{k+1} \meq \bm{A}\bm{x}_k + \bm{B}\bm{u}_k\\ & &
	\bm{y}_{k+1} \meq \bm{C}\bm{x}_{k+1} \\ & &
	\bm{P}_{x}\bm{x}_{k+1} \mleq \bm{p}_{x} \\ & &
	\bm{u}_{k} \;&\in\;  \left\lbrace
		\begin{bmatrix}
			1 \\ 1 \\ 1
		\end{bmatrix}, \,		
		\begin{bmatrix}
			1 \\ 1 \\ 0
		\end{bmatrix}, \,			
		\begin{bmatrix}
			1 \\ 0 \\ 1
		\end{bmatrix}	, \,		
		\begin{bmatrix}
			1 \\ 0 \\ 0
		\end{bmatrix}		, \,	
		\begin{bmatrix}
			0 \\ 1 \\ 1
		\end{bmatrix}			, \,
		\begin{bmatrix}
			0 \\ 1 \\ 0
		\end{bmatrix}			, \,
		\begin{bmatrix}
			0 \\ 0 \\ 1
		\end{bmatrix}			, \,
		\begin{bmatrix}
			0 \\ 0 \\ 0
		\end{bmatrix}		
	\right\rbrace\\ & &
	\bm{z} \meq \begin{bmatrix}
		{\bm{u}_0}\transpose & {\bm{u}_1}\transpose & \dots & {\bm{u}_{N-1}\transpose}		
	\end{bmatrix}\transpose  \\ & &
	\Delta\bm{u}_k \meq \bm{u}_k - \bm{u}_{k-1}  \\ & &
	\bm{x}_0 \meq \bm{x}(t) \\ & &
	\bm{u}_{-1} \meq \bm{u}(t - T_{\textrm{s}})  \\ & &
	\bm{r}_{k+1} \meq \bm{r}(t + k T_{\textrm{s}})
\end{alignat*}
	}}
	\end{eqnarray*}

\end{document}




